Bug 449081 - gdm won't start
gdm won't start
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-30 06:27 EDT by jonathan baron
Modified: 2009-07-14 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdm-debug-output gdm-log Xorg-log (23.50 KB, text/plain)
2008-05-30 06:27 EDT, jonathan baron
no flags Details
xorg.conf files (5.84 KB, text/plain)
2008-05-30 22:03 EDT, jonathan baron
no flags Details
Xorg.0.log without any xorg.conf (21.94 KB, text/plain)
2008-06-28 09:33 EDT, jonathan baron
no flags Details

  None (edit)
Description jonathan baron 2008-05-30 06:27:36 EDT
Description of problem:

gdm won't start

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. boot, or say "gdm" or say "startx"
Actual results:

no X

Expected results:

X starts

Additional info:

This is exactly the same problem reported in
(not by me)
(I think it is the same kind of computer too, or very close.)
Comment 1 jonathan baron 2008-05-30 06:27:36 EDT
Created attachment 307186 [details]
gdm-debug-output gdm-log Xorg-log
Comment 2 jonathan baron 2008-05-30 16:13:28 EDT
Thanks to "Steve" (the one who reported this problem to the fedora-list), I
tried rebooting after removing /etc/X11/xorg.conf, and it seems to work. 
(Haven't checked everything yet.)  This may be an xorg problem and not a gdm
problem.  However, it is still a problem because it becomes impossible to do
things like dual head.  (He still cannot do this on his machine.)

Note that my xorg.conf file was made by system-config-display, and I did not
change it.
Comment 3 Ray Strode [halfline] 2008-05-30 17:26:12 EDT
do you still have the xorg.conf that broke things?
Comment 4 jonathan baron 2008-05-30 22:03:56 EDT
Created attachment 307260 [details]
xorg.conf files
Comment 5 Matěj Cepl 2008-06-27 09:01:38 EDT
Could you please try to run Xorg without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 jonathan baron 2008-06-28 09:33:52 EDT
Created attachment 310500 [details]
Xorg.0.log without any xorg.conf
Comment 7 Bug Zapper 2009-06-09 21:17:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-07-14 13:42:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.